package com.fjhx.purchase.entity.subscribe.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 申购单列表查询入参实体
 *
 * @author 
 * @since 2023-04-03
 */
@Getter
@Setter
public class SubscribeDetailSelectDto extends BaseSelectDto {

    /**
     * 产品类型
     */
    private Integer productType;

    /**
     * 状态
     */
    private String status;

    /**
     * id集合
     */
    private List<Long> ids;

    /**
     * 收货仓库id过滤
     */
    private Long receiptWarehouseId;
}
