package com.fjhx.victoriatourist.entity.stock.vo;

import com.fjhx.victoriatourist.entity.stock.po.StockTransferDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 调仓明细列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class StockTransferDetailsVo extends StockTransferDetails {

    /**
     * 产品编码
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品规格
     */
    private String productSpec;

    /**
     * 产品单位
     */
    private String productUnit;

    /**出入库编号*/
    private String code;

    /**
     * 调出仓库名称
     */
    private String outWarehouseName;

    /**
     * 调入仓库名称
     */
    private String inWarehouseName;

    /**
     * 调入仓库id
     */
    private Long inWarehouseId;

    /**
     * 调出仓库id
     */
    private Long outWarehouseId;

    /**调仓数量*/
    private BigDecimal quantity;


}
