package com.fjhx.victoriatourist.service;

import cn.hutool.core.bean.BeanUtil;
import com.fjhx.purchase.entity.deliver.DeliverGoodsPo;
import com.fjhx.purchase.service.WdlyService;
import com.fjhx.victoriatourist.entity.deliver.po.DeliverGoods;
import com.fjhx.victoriatourist.service.deliver.DeliverGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class WdlyServiceImpl implements WdlyService {
    @Autowired
    DeliverGoodsService deliverGoodsService;

    /**更新发货记录的状态为到货*/
    @Override
    public void updateDeliverGoodsStatus(Long id) {
        DeliverGoods byId = deliverGoodsService.getById(id);
        byId.setStatus(1);
        deliverGoodsService.updateById(byId);
    }

    @Override
    public DeliverGoodsPo getDeliverGoodsInfo(Long id) {
        DeliverGoods byId = deliverGoodsService.getById(id);
        DeliverGoodsPo deliverGoodsPo = BeanUtil.copyProperties(byId, DeliverGoodsPo.class);
        return deliverGoodsPo;
    }
}
